cURL
curl -sS "https://phosra-api-sandbox-production.up.railway.app/api/v1/ratings/systems/esrb/descriptors"
const BASE = "https://phosra-api-sandbox-production.up.railway.app/api/v1";
const res = await fetch(`${BASE}/ratings/systems/esrb/descriptors`);
console.log(res.status, await res.json());
import requests
BASE = "https://phosra-api-sandbox-production.up.railway.app/api/v1"
res = requests.get(
f"{BASE}/ratings/systems/esrb/descriptors",
)
print(res.status_code, res.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
base := "https://phosra-api-sandbox-production.up.railway.app/api/v1"
req, _ := http.NewRequest("GET", base+"/ratings/systems/esrb/descriptors", nil)
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
out, _ := io.ReadAll(resp.Body)
fmt.Println(resp.Status, string(out))
}

[
{
"id": "00000000-0000-0000-0003-000000000101",
"system_id": "esrb",
"code": "fantasy-violence",
"name": "Fantasy Violence",
"category": "violence"
}
]{
"error": "Bad Request",
"message": "child_name is required",
"code": 400
}{
"error": "Unauthorized",
"message": "missing or invalid Authorization header",
"code": 401
}{
"error": "Not Found",
"message": "policy not found",
"code": 404
}{
"error": "Too Many Requests",
"message": "rate limit exceeded",
"code": 429
}{
"error": "Internal Server Error",
"message": "internal error",
"code": 500
}Ratings
Get content descriptors
Get content descriptors for a rating system
GET
/
ratings
/
systems
/
{systemID}
/
descriptors
cURL
curl -sS "https://phosra-api-sandbox-production.up.railway.app/api/v1/ratings/systems/esrb/descriptors"
const BASE = "https://phosra-api-sandbox-production.up.railway.app/api/v1";
const res = await fetch(`${BASE}/ratings/systems/esrb/descriptors`);
console.log(res.status, await res.json());
import requests
BASE = "https://phosra-api-sandbox-production.up.railway.app/api/v1"
res = requests.get(
f"{BASE}/ratings/systems/esrb/descriptors",
)
print(res.status_code, res.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
base := "https://phosra-api-sandbox-production.up.railway.app/api/v1"
req, _ := http.NewRequest("GET", base+"/ratings/systems/esrb/descriptors", nil)
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
out, _ := io.ReadAll(resp.Body)
fmt.Println(resp.Status, string(out))
}

[
{
"id": "00000000-0000-0000-0003-000000000101",
"system_id": "esrb",
"code": "fantasy-violence",
"name": "Fantasy Violence",
"category": "violence"
}
]{
"error": "Bad Request",
"message": "child_name is required",
"code": 400
}{
"error": "Unauthorized",
"message": "missing or invalid Authorization header",
"code": 401
}{
"error": "Not Found",
"message": "policy not found",
"code": 404
}{
"error": "Too Many Requests",
"message": "rate limit exceeded",
"code": 429
}{
"error": "Internal Server Error",
"message": "internal error",
"code": 500
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Content descriptors
⌘I